--- src/interp/vmlisp.lisp.old	2020-05-02 15:24:03.633354700 +0200
+++ src/interp/vmlisp.lisp	2020-05-02 15:21:32.662053500 +0200
@@ -750,10 +750,13 @@
 (defun OBEY (S)
    #-:win32 (sb-ext::process-exit-code
              (sb-ext::run-program "/bin/sh"
-                    (list "-c" S) :input t :output t :error t))
+                 (list "-c" S) :input t :output t :error t))
    #+:win32 (sb-ext::process-exit-code
-             (sb-ext::run-program (make-absolute-filename "/lib/obey.bat")
-                    (list S) :input t :output t :error t))
+	      ;Check whether or FriCAS run in a pseudo Unix-like environment
+	      (if (probe-file "/bin/sh")
+	          (sb-ext::run-program "/bin/sh"
+                    (list "-c" S) :input t :output t :error t)
+	          (sb-ext:run-program "cmd" (list "/C" S) :input t :output t :error t :search t)))
 )
 
 #+:openmcl
